%define         _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so
%define         _name mplstereonet

Name:		python-%{_name}
Version:	0.6.3
Release:	%mkrel 4
Summary:	Lower-hemisphere equal-area and equal-angle stereonets
License:	MIT
Group:		Sciences/Geosciences
URL:		https://github.com/joferkington/mplstereonet
Source0:	https://github.com/joferkington/mplstereonet/archive/v%version/%{_name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	python3-devel

%description
mplstereonet provides lower-hemisphere equal-area and equal-angle
stereonets for matplotlib.

%package -n python3-%{_name}
Summary:	Lower-hemisphere equal-area and equal-angle stereonets
Group:		Sciences/Geosciences
%{?python_provide:%python_provide python3-%{_name}}

%description -n python3-%{_name}
mplstereonet provides lower-hemisphere equal-area and equal-angle
stereonets for matplotlib.

%prep
%autosetup -p1 -n %{_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mplstereonet

%check
export PYTHONPATH=$RPM_BUILD_ROOT%{python3_sitelib}
MPLSTEREONETVER=`%{__python3} -c 'import mplstereonet; print(mplstereonet.__version__)'`
if [ $MPLSTEREONETVER -ne "%{version}" ];then
	exit $?
fi

%files -n python3-%{_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Mon Mar 03 2025 wally <wally> 0.6.3-4.mga10
+ Revision: 2159818
- rebuild for python3.13

* Tue Jan 16 2024 daviddavid <daviddavid> 0.6.3-3.mga10
+ Revision: 2031405
- make it noarch

* Tue Jan 16 2024 daviddavid <daviddavid> 0.6.3-2.mga10
+ Revision: 2031397
- add missing python3-mplstereonet sub-pkg

* Sun Jan 14 2024 papoteur <papoteur> 0.6.3-1.mga10
+ Revision: 2031070
- new version 0.6.3
- use pyproject macros

* Wed Apr 06 2022 umeabot <umeabot> 0.5-11.mga9
+ Revision: 1846131
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 0.5-10.mga9
+ Revision: 1778552
- Rebuild for python-3.10

* Wed Mar 24 2021 daviddavid <daviddavid> 0.5-9.mga9
+ Revision: 1708653
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.5-8.mga8
+ Revision: 1533121
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 0.5-7.mga8
+ Revision: 1443538
- rebuild for python-3.8

* Tue Jan 08 2019 tv <tv> 0.5-6.mga7
+ Revision: 1352084
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.5-5.mga7
+ Revision: 1300436
- Mageia 7 Mass Rebuild

* Sun Aug 06 2017 philippem <philippem> 0.5-4.mga7
+ Revision: 1137626
- disable find lang
+ pterjan <pterjan>
- Rebuild for python 3.6

* Tue Feb 16 2016 umeabot <umeabot> 0.5-3.mga6
+ Revision: 962195
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 daviddavid <daviddavid> 0.5-2.mga6
+ Revision: 888108
- rebuild for python 3.5

* Sun Aug 09 2015 matteo <matteo> 0.5-1.mga6
+ Revision: 862055
- imported package python3-mplstereonet

